Bug 2078895 - [OCPonRHV]-"cow" unsupported value in format field in install-config.yaml
Summary: [OCPonRHV]-"cow" unsupported value in format field in install-config.yaml
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.11
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ---
: 4.11.0
Assignee: Janos Bonic
QA Contact: Veronika Fuxova
URL:
Whiteboard:
Depends On:
Blocks: 2035334
TreeView+ depends on / blocked
 
Reported: 2022-04-26 12:35 UTC by Veronika Fuxova
Modified: 2022-06-15 18:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 5847 0 None open Bug 2078895: ovirt: fixing incorrect 'format' value validation 2022-04-27 11:12:56 UTC

Description Veronika Fuxova 2022-04-26 12:35:46 UTC
Version:

$ openshift-install version
4.11.0-0.nightly-2022-04-24-135651

Platform:

RHV 4.5.0.4-0.1.el8ev

IPI


When executing create cluster command, it fails to load Install config with this error: 

ERROR failed to fetch Metadata: failed to load asset "Install Config": failed to create install config: invalid "install-config.yaml" file: [controlPlane.platform.ovirt.format: Unsupported value: "cow": supported values: "", "raw", "format", compute[0].platform.ovirt.format: Unsupported value: "cow": supported values: "", "raw", "format"] 

Expected behavior: 

'cow' should be a supported value for the 'format' field and the installation should start.

How to reproduce:

1. Use Openshift installer to create install config: 

$ ./openshift-install create install-config --dir=resources 

2. Specify format as 'cow' in the install config: 

controlPlane: 
  platform: 
    ovirt: 
      format: cow
compute: 
  platform: 
    ovirt: 
      format: cow

3. Start the installation: 

$ ./openshift-install create cluster --dir=resources --log-level=debug

Comment 3 Veronika Fuxova 2022-05-05 17:26:03 UTC
Version:

$ openshift-install version
4.11.0-0.nightly-2022-05-05-015322

Platform:

RHV 4.5.0.6-0.7.el8ev

IPI

Verification steps: 

1. Used Openshift installer to create install config: 

$ ./openshift-install create install-config --dir=resources 

2. Specified format as 'cow' in the install config: 

controlPlane: 
  platform: 
    ovirt: 
      format: cow
compute: 
  platform: 
    ovirt: 
      format: cow

3. Started the installation: 

$ ./openshift-install create cluster --dir=resources --log-level=debug

4. The installation successfully started.


Note You need to log in before you can comment on or make changes to this bug.